---
search:
  tags:
    - documents
    - POST
seo:
  description: >-
    Create document space permission. Reference for the POST
    /workspaces/{organizationId}/document-spaces/{id}/permissions endpoint in
    the Pile API.
sidebar:
  label: Create document space permission
  badge: POST
title: Create document space permission
type: openapi-operation
---
`POST /workspaces/{organizationId}/document-spaces/{id}/permissions`

**Request body** (`application/json`)

- `actorId` (string, required)
- `actorType` (string)
- `level` (string)

Request body example:

```json
{
  "actorId": "string",
  "actorType": "user",
  "level": "view"
}
```

**Responses**

- `201` — Space permission granted

Response example, 201:

```json
{
  "id": "string"
}
```
